SDL_TouchFingerEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_TouchID | touchId
SDL_FingerID | fingerId
float | x
float | y
float | dx
float | dy
float | pressure
Uint32 | windowID

## Detailed Description

Touch finger event structure (event.tfinger.*)

Definition at line 533 of file SDL_events.h.

## Field Documentation

## dx

float SDL_TouchFingerEvent::dx

Normalized in the range -1...1

Definition at line 541 of file SDL_events.h.

## dy

float SDL_TouchFingerEvent::dy

Normalized in the range -1...1

Definition at line 542 of file SDL_events.h.

## fingerId

SDL_FingerID SDL_TouchFingerEvent::fingerId

Definition at line 538 of file SDL_events.h.

## pressure

float SDL_TouchFingerEvent::pressure

Normalized in the range 0...1

Definition at line 543 of file SDL_events.h.

## timestamp

Uint32 SDL_TouchFingerEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 536 of file SDL_events.h.

## touchId

SDL_TouchID SDL_TouchFingerEvent::touchId

The touch device id

Definition at line 537 of file SDL_events.h.

## type

Uint32 SDL_TouchFingerEvent::type

SDL_FINGERMOTION or SDL_FINGERDOWN or SDL_FINGERUP

Definition at line 535 of file SDL_events.h.

## windowID

Uint32 SDL_TouchFingerEvent::windowID

The window underneath the finger, if any

Definition at line 544 of file SDL_events.h.

## x

float SDL_TouchFingerEvent::x

Normalized in the range 0...1

Definition at line 539 of file SDL_events.h.

## y

float SDL_TouchFingerEvent::y

Normalized in the range 0...1

Definition at line 540 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h